# daim - OSCAR Protocol Library for Java
# Copyright (C) 2002 David Walluck
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id: buddygroup.py,v 1.2 2003/09/06 09:05:14 walluck Exp $

import os
from org.walluck.oscar.script import Script
from java.lang import Exception

class BuddyGroup(Script):
    def __init__(self):
        self.name, self.version, self.description, self.author, self.url, \
                   self.filename = ("Buddy Group", "1.0", "Buddy Group Test \
                   Script", "David Walluck <walluck@dev.java.net>", \
                                    "http://www.jython.org/", \
                                    "buddygroup.py")
        daim.addScript(self)

try:
    groups = oscar.getBuddyGroups()
    print "START"
    for group in groups:
        print group.name
    print "END"
except Exception, e:
    print "buddygroup: failed to get buddy groups: "
    e.printStackTrace()
